> ## Documentation Index
> Fetch the complete documentation index at: https://hc.saas-manager.biz.nuro.jp/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a custom field for an organization



## OpenAPI

````yaml https://api.itmc.i.moneyforward.com/public-api/docs/v1-json patch /api/v1/organizations/{organizationId}/fields/custom/{customFieldId}
openapi: 3.0.0
info:
  title: Admina Public API
  description: >-
    Admina API is a RESTfull API providing programmatic access to much of the
    data in the system. It provides predictable URLs for accessing resources,
    and uses built-in HTTP features to receive commands and return responses.
    This makes it easy to communicate with from a wide variety of environments,
    from command-line utilities to gadgets to the browser URL bar itself.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.itmc.i.moneyforward.com
security: []
tags:
  - name: Organizations
    description: ''
  - name: Users
    description: ''
  - name: Directory
    description: ''
  - name: Departments
    description: ''
  - name: Locations
    description: ''
  - name: Companies
    description: ''
  - name: People
    description: ''
  - name: Workspaces
    description: ''
  - name: Custom Service and Workspace
    description: ''
  - name: Workspace Accounts
    description: ''
  - name: Accounts
    description: ''
  - name: Contracts
    description: ''
  - name: Devices
    description: ''
  - name: Devices (alpha)
    description: ''
  - name: Alerts
    description: ''
  - name: Spends
    description: ''
  - name: Usage Optimization
    description: ''
  - name: Services
    description: ''
  - name: Requests
    description: ''
  - name: AuditLogs
    description: ''
  - name: EventLogs
    description: ''
paths:
  /api/v1/organizations/{organizationId}/fields/custom/{customFieldId}:
    patch:
      tags:
        - Devices
      summary: Update a custom field for an organization
      operationId: publicUpdateDeviceCustomField
      parameters:
        - name: organizationId
          required: true
          in: path
          schema:
            type: number
        - name: customFieldId
          required: true
          in: path
          schema:
            type: number
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PublicUpdateDeviceCustomFieldRequestDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetDeviceCustomFieldResponseDto'
        '409':
          description: The custom field unique name is already in use.
      security:
        - API-Key: []
components:
  schemas:
    PublicUpdateDeviceCustomFieldRequestDto:
      type: object
      properties:
        visibleForType:
          type: array
          example: phone
          items:
            $ref: '#/components/schemas/DeviceType'
        configuration:
          type: object
          oneOf:
            - $ref: '#/components/schemas/CreateDeviceFieldDropdownConfigurationDto'
          nullable: true
          description: >-
            Update the dropdown configuration (values can be added, removed,
            reordered, or modified)
        attributeName:
          type: string
          example: foo bar
        attributeCode:
          type: string
          example: device_id
          description: >-
            Unique identifier for the custom field. Must contain only lowercase
            letters, numbers, and underscores. Cannot be changed to a value that
            already exists in the organization.
    GetDeviceCustomFieldResponseDto:
      type: object
      properties:
        id:
          type: number
          readOnly: true
          example: 1
        uniqueName:
          type: string
          readOnly: true
          example: custom_text_field
        name:
          type: string
          readOnly: true
          example: Foo bar
        kind:
          example: dropdown
          allOf:
            - $ref: '#/components/schemas/DeviceFieldKind'
        configuration:
          type: object
          oneOf:
            - $ref: '#/components/schemas/DeviceFieldDropdownConfigurationDto'
          nullable: true
        visibleForType:
          type: array
          example: phone
          items:
            $ref: '#/components/schemas/DeviceType'
        required:
          type: boolean
          description: This field will be always `false` in R1
          readOnly: true
          example: true
      required:
        - id
        - uniqueName
        - name
        - kind
        - configuration
        - visibleForType
        - required
    DeviceType:
      type: string
      enum:
        - pc
        - phone
        - other
    CreateDeviceFieldDropdownConfigurationDto:
      type: object
      properties:
        values:
          description: Dropdown items with id (stable identifier) and value (display name)
          type: array
          items:
            $ref: '#/components/schemas/CreateDeviceFieldDropdownValueDto'
      required:
        - values
    DeviceFieldKind:
      type: string
      enum:
        - text
        - date
        - number
        - dropdown
      description: The type of field (e.g., text, number, date, dropdown)
    DeviceFieldDropdownConfigurationDto:
      type: object
      properties:
        values:
          readOnly: true
          type: array
          items:
            $ref: '#/components/schemas/DeviceFieldDropdownValueDto'
        groups:
          readOnly: true
          type: array
          items:
            $ref: '#/components/schemas/DeviceFieldDropdownGroupDto'
      required:
        - values
        - groups
    CreateDeviceFieldDropdownValueDto:
      type: object
      properties:
        id:
          type: string
          example: option_1
        value:
          type: string
          example: Option 1
        group:
          type: string
      required:
        - id
        - value
    DeviceFieldDropdownValueDto:
      type: object
      properties:
        id:
          type: string
          readOnly: true
          example: option_1
        group:
          type: string
          readOnly: true
          example: phone
        label:
          readOnly: true
          allOf:
            - $ref: '#/components/schemas/DeviceMultiLanguageNameDto'
        value:
          type: string
          readOnly: true
          example: phone
      required:
        - id
        - value
    DeviceFieldDropdownGroupDto:
      type: object
      properties:
        label:
          readOnly: true
          allOf:
            - $ref: '#/components/schemas/DeviceMultiLanguageNameDto'
        value:
          type: string
          readOnly: true
          example: phone
      required:
        - value
    DeviceMultiLanguageNameDto:
      type: object
      properties:
        ja:
          type: string
          readOnly: true
          example: こんにちは
        en:
          type: string
          readOnly: true
          example: Hello
      required:
        - ja
        - en
  securitySchemes:
    API-Key:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: >-
        For authenticated requests, set the `Authorization: Bearer your_api_key`
        parameter in the header. <br/>You can create and manage your API Keys by
        visiting the **API Keys** tab in the **Settings** page of your
        organization in <a target='_blank'
        href='https://itmc.i.moneyforward.com/'>Admina</a>

````